Abstract Approval Processes
Events
/- Returns a list of records with the specified event_contact_id
Creates a new registration record that does not already exist.
Execute Batch Operations
Downloads a Certificate
Returns a list of records with the specified contact_id
Self Cancel Registration
Returns a list of records with the specified event_organization_id
Generates an order for a registration group
Generates an order from an event registration
Returns a list of records with the specified group_id
Returns a list of records with the specified order_id
Returns a list of records with the specified parent_registration_id
Examines a registration and detects any potential scheduling conflicts in the registration
Sends out a preview of the CRC notification certificate
Sends out a preview of the CRC notification email
Generates the payload necessary to edit a registration
Resends the confirmation email for a registration
Searches for registrations using predefined parameters
Self Cancel Registration
Transfers a registration
Returns a registration from the system by its ID.
Returns a registration from the system by its ID.
Partially updates a registration with the specified ID.
Updates a registration with the specified ID.
Returns a list of records...
Events (Meetings & Shows) (v1-2025-04-18)
The Meetings & Shows, or Events, API is used to manage all aspects of events from recurring webinars to annual trade shows. From this API you can access Registrants, Speakers, and Abstracts as well as update the details of your events themselves.
Like most of the other Rhythm apps, the Events API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1
https://events.api.rhythmsoftware.com
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrations/{tenantId}/describeSelfCancellation/{id}
- https://events.api.rhythmsoftware.com/registrations/{tenantId}/describeSelfCancellation/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrations/{tenantId}/describeSelfCancellation/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "currency_code": "string", "items": [ { … } ], "total_amount_to_refund": 0.1 }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrations/{tenantId}/eventContact/{eventId}/{contactId}
- https://events.api.rhythmsoftware.com/registrations/{tenantId}/eventContact/{eventId}/{contactId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrations/{tenantId}/eventContact/{eventId}/{contactId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrations/{tenantId}/eventOrganization/{eventId}/{organizationId}
- https://events.api.rhythmsoftware.com/registrations/{tenantId}/eventOrganization/{eventId}/{organizationId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrations/{tenantId}/eventOrganization/{eventId}/{organizationId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }